#ifndef MAIN_WINDOW_H
#define MAIN_WINDOW_H

#include <QMainWindow>
#include <QToolBar>
#include <QVBoxLayout>

#include "mesh_viewer.h"
#include "my_mesh.h"


class MainWindow : public QMainWindow {
	Q_OBJECT

	QToolBar toolbar;
	QAction *open_action;
	QAction *save_action;

signals:
	void open(const QString &path);
	void save(const QString &path);
	void fillHolesDumbClicked();
	void fillHolesImplicitClicked();
	void smoothClicked();
	void patchViewToggled(bool checked);

public:
	MeshViewer mesh_viewer;

	MainWindow(QWidget *parent=nullptr);
};


#endif
